Subject: Re: bug#37671: 27.0.50; Segmentation fault with --fg-daemon on Linux

From: Frank Terbeck <[email-masked]>
Date: Thu, 10 Oct 2019 20:27:50 +0200

Hey Eli,

Eli Zaretskii wrote:
>> From: Frank Terbeck <[email-masked]>
[...]
>> #3  0x00007f3441214510 __restore_rt (libpthread.so.0)
>> #4  0x00007f3440f92d2f __GI___poll (libc.so.6)
>> #5  0x00007f3441e3809e n/a (libglib-2.0.so.0)
>> #6  0x00007f3441e38403 g_main_loop_run (libglib-2.0.so.0)
>> #7  0x00007f34420a3726 n/a (libgio-2.0.so.0)
>> #8  0x00007f3441e60d0d n/a (libglib-2.0.so.0)
>> #9  0x00007f3441209fb7 start_thread (libpthread.so.0)
>> #10 0x00007f3440f9d2ef __clone (libc.so.6)
[...]
> Looks like the crash was in Glib?

Looks that way.

> It is strange that you see a problem that no one else sees, and you
> say you have had it for quite some time.

Very infrequently, but yes.

> Can you run Emacs under GDB?  I hope it will show a better backtrace
> if you do so.

I can do that. I'll report back when it happens next.

Regards, Frank